package com.gree.mall.manager.bean.worker;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerElecConfirmManualVO {

    @ZfireField(hide = true)
    private String id;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "所属公司")
    private String belongCompanyName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;

    @ApiModelProperty(value = "师傅名称")
    private String nickName;

    @ApiModelProperty(value = "师傅手机号")
    private String mobile;

    @ApiModelProperty(value = "师傅身份证")
    private String idCard;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "url")
    private String url;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "文件名称")
    private String name;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "状态")
    private ExamineStatusEnum status;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;
}
